This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266505 - Lapack bug in dsyevr function
Lapack bug in dsyevr function
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lapack (Show other bugs)
6.7
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Martisko
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 08:44 EDT by Josko Plazonic
Modified: 2017-09-14 07:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program (1.99 KB, text/plain)
2015-09-25 08:44 EDT, Josko Plazonic
no flags Details

  None (edit)
Description Josko Plazonic 2015-09-25 08:44:02 EDT
Created attachment 1077084 [details]
Test program

Description of problem:
There seems to be a bug in dsyevr function in lapack that ships with RHEL6 but does not appear in 3.5.0 lapack (and therefore also in atlas so atlas would need a rebuild as well) - it's described at http://icl.cs.utk.edu/lapack-forum/viewtopic.php?f=2&t=4767 but I'll copy all of that here.

Version-Release number of selected component (if applicable):
3.2.1

How reproducible:


Steps to Reproduce:
1. Compile attached program (gfortran test.f90 -llapack)
2. Run it, it will wait for input - give it:
  4.0233725957917259288124166e-07  1.1475559753759016807209544e-22  3.1797364433177036979501603e-68 
  1.1475559753759016807209544e-22  4.0233725957917259288124166e-07 -7.5079600860804907344589960e-56 
  3.1797364433177036979501603e-68 -7.5079600860804907344589960e-56  4.3213250161962713132013381e-05

Actual results:
In the output you will see
dsyevr: info =   1
which, I am told, should not be there and indeed it is not with newer lapack, openblas or Intel's MKL.

Expected results:
No dsyevr: info =   1

Additional info:

Note You need to log in before you can comment on or make changes to this bug.